<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- personal-014 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;" summary="">
	<TR>
		<TD height="48" class="menu-bg">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0" align="center" summary="">
				<tr>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

				</tr>
			</table>
		<!-- END MENU -->
		</TD>
	</TR>
	<TR><TD height="2" class="menu-bbg"></TD></TR>
	<TR>
		<TD height="100%" style="background-color: #F5F5CA; background-image: url('images/bg_tbg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_bbg.gif'); background-position: bottom; background-repeat: repeat-x;">
				<tr>
					<td style="background-image: url('images/bg_lbg.gif'); background-position: left; background-repeat: repeat-y;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_rbg.gif'); background-position: right; background-repeat: repeat-y;">
							<tr>
								<td style="background-image: url('images/bg_tl.gif'); background-position: top left; background-repeat: no-repeat;">
									<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
										<tr>
											<td style="background-image: url('images/bg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;">
												<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_br.gif'); background-position: bottom right; background-repeat: no-repeat;">
													<tr>
														<td>
															<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
																<tr>
																	<td height="154" style="padding: 5px 380px 5px 30px;">
																		<!-- LOGO -->
																		<table cellpadding="0" cellspacing="0" summary="">
																			<tr>
																				<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
																				<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
																			</tr>
																			<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
																		</table>
																		<!-- END LOGO -->
																	</td>
																</tr>
																<tr><td height="50"></td></tr>
																<tr>
																	<td height="100%">
																		<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
																			<tr valign="top">
																				<td width="100%" style="padding: 0 70px 75px 75px;">
																					<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 293px;">
																						<tr>
																							<td class="pageContent" valign="top">
																								<!-- CONTENT -->
																								<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
																								<div style="width:0px; height:15px;"><span></span></div>
																								<xsl:apply-templates select="PAGE-CONTENT"/>
																								<!-- END CONTENT -->
																							</td>
																						</tr>
																					</table>
																				</td>
																				<td style="padding: 100px 50px 0 0;">
																					<!-- SUBMENU -->
																					<table cellpadding="0" cellspacing="0" width="160" align="center" summary="">
																						<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
																					</table>
																					<!-- END SUBMENU -->
																					<div style="width:204px; height:0px;"><span></span></div>
																				</td>
																			</tr>
																		</table>
																	</td>
																</tr>
																<tr>
																	<td height="70">
																		<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
																			<tr>
																				<td><div style="width:40px; height:0px;"><span></span></div></td>
																				<td width="100%">
																					<!-- BOTTOM MENU -->
																					<table cellpadding="0" cellspacing="0" align="center" summary="">
																						<tr>
																							<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
																							<xsl:call-template name="BOTTOM-MENU"/>
																							<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
																						</tr>
																					</table>
																					<!-- END BOOTTOM MENU -->
																				</td>
																				<td class="footer">
																					<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
																					<div style="width:270px; height:0px;"><span></span></div>
																				</td>
																				<td><div style="width:40px; height:0px;"><span></span></div></td>
																			</tr>
																		</table>
																	</td>
																</tr>
															</table>
														</td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr bgcolor="#FFFFFF">
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
				<td align="right" style="padding: 0 5px 0 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 5px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
					<td align="right" style="padding: 0 5px 0 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" style="height: 1px; background-color:  #CEC8A0;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
