<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- personal-036 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#000000">
  <tr>
    <td height="267"><table width="100%" height="265"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" background="images/logo-bg.gif"><table height="100%" border="0" align="left" cellpadding="0" cellspacing="0" style="background:url(images/logo-bg-1.gif) no-repeat left;">
          <tr>
            <td width="36"></td>
            <td height="134"><table height="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  <td class="company" style="padding-left:20px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  <td width="30" align="center"></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td></td>
            <td height="133"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="30"></td>
                  <td><div align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
                  <td width="30"></td>
                </tr>
            </table></td>
          </tr>
        </table></td>
        <td  width="307" height="267" background="images/logo-bg.gif"><img src="images/headers.jpg" width="307" height="265" border="0" /></td>
        <td width="240" valign="top" background="images/logo-bg4.gif" style="padding-top:40px;padding-left:32px;padding-right:5; ">
		<!--MENU-->
		<table width="200" border="0" cellpadding="0" cellspacing="0">
		
			<xsl:call-template name="TOP-MENU"/>
			</table>
			<!--End MENU-->	
			</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" valign="top" style="background-image: url(images/01.gif);
	background-repeat: repeat-x;
	background-position: center bottom;padding-bottom:1px;"><table width="100%"  border="0" cellspacing="0" cellpadding="0"  height="100%">
      <tr>
        <td  width="100%" height="100%"  valign="top" bgcolor="#1D1D1D" style="padding:30px;">
<table border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              <td><img src="images/txtheader_bullet.gif" width="17" height="17" hspace="8" /></td>
            </tr>
        </table>
	<!--Content-->
	<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top" class="pageContent" width="100%" height="100%" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
      </tr>
    </table>
	<!--End Content-->
        </td>
        <td width="2" background="images/content_rightline.gif"><img src="images/content_rightline.gif" width="2" height="6"/></td>
        <td width="237" valign="top" style="padding-left:40px; padding-top:30px;" >
	<img src="images/sp.gif" width="197" height="1"/>
		<!--SUB MENU-->
		<table border="0" cellpadding="0" cellspacing="0">
            <xsl:call-template name="SUB-MENU">		
                        <xsl:with-param name="pageID" select="@ID"/>
             </xsl:call-template> 
        </table>
		<!--End SUBMENU-->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td class="content-bg1" ><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td style="	padding-top: 10px;	padding-right:10px;	padding-left: 10px;">
	<!--BMENU-->
	    <table border="0" align="center" cellpadding="0" cellspacing="0">
		    <tr>
			    <xsl:call-template name="BOTTOM-MENU"/>		 </tr>
		    </table>
		    <!--End BMENU-->
			</td>
    </tr>
</table></td>
        <td width="237" bgcolor="#1D1D1D"><table border="0" align="center" cellpadding="8" cellspacing="0">
          <tr>
            <td align="center" class="footer">
                <!--FOOT-->
                <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                <!--END FOOTER-->
            </td>
          </tr>
        </table></td>
      </tr>
    </table>	
	</td>
 </tr>
</table>
</BODY>
</HTML>

</xsl:template>
<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
	
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
  <tr>
    <td height="18" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    <td height="18"><div align="right"><img src="images/submenu_bullet.gif" width="12" height="5" /></div></td>
  </tr>

		</xsl:when>
		
		<xsl:otherwise>	
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			    <tr>
    <td height="18"><a href="{@HREF}" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    <td height="18"><div align="right"><img src="images/submenu_bullet.gif" width="12" height="5" /></div></td>
  </tr>
			</xsl:if>
			
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		 <tr>
    <td colspan="2" height="20"><img name="" src="images/submenu_hr.gif" width="177" vspace="8" height="3" alt="" style="background-color: #A7A7A7" /></td>
  </tr>
	</xsl:if>
	
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td valign="top"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td valign="top"><span class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
 			<td valign="top"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td><img src="images/bmenu_separator.gif" width="25" height="40" /></td>
  		</xsl:if>
</xsl:template>


<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>