<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" style="background-color: #10324d; background-image: url('images/bg.gif'); background-position: bottom; background-repeat: repeat-x;"><tr><td valign="bottom" style="padding: 0px 25px 0px 200px; background-image: url('images/bg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" width="545">
	<TR><TD colspan="3" height="20"></TD></TR>
	<TR>
		<TD colspan="3" valign="bottom">
			<!-- MENU -->
			<table cellpadding="0" cellspacing="0" border="0" align="right">
				<tr>
					<td width="20"></td>
					<xsl:call-template name="TOP-MENU"/>
					<td width="20"></td>
				</tr>
			</table>
			<!-- /MENU -->
		</TD>
	</TR>
	<TR>
		<TD width="10" height="10" style="background-image: url('images/bg_tl.gif'); background-repeat: no-repeat;"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></TD>
		<TD width="100%" style="background-image: url('images/bg_t.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="10">
				<tr>
					<td style="background-image: url('images/bg_tl2.gif'); background-repeat: no-repeat;"></td>
					<td style="background-image: url('images/bg_tr2.gif'); background-position: right; background-repeat: no-repeat;"></td>
				</tr>
			</table>
		</TD>
		<TD width="10" style="background-image: url('images/bg_tr.gif'); background-repeat: no-repeat;"><div style="width:10px; height:1px;"><spacer type="block" width="10" height="1"/></div></TD>
	</TR>
	<TR>
		<TD valign="bottom" style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;"><img src="images/bg_l2.gif" border="0"/></TD>
		<TD width="525" bgcolor="white">
			<table cellpadding="0" cellspacing="0" border="0" width="525">
				<tr>
					<td colspan="4" height="183">
						<table cellpadding="0" cellspacing="0" border="0"  align="center" width="523" height="183" style="border: 1px solid #A7CED2; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
							<tr>
								<td valign="top" style="padding: 20px 5px 5px 10px;">
									<!-- LOGO -->
										<table cellpadding="0" cellspacing="0">
											<tr>
												<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
												<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
											</tr>
											<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
										</table>
									<!-- /LOGO -->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr><td colspan="4" height="4"></td></tr>
				<tr>
					<td width="64" style="background-image: url('images/bg_bl.gif'); background-position: bottom left; background-repeat: no-repeat;"><div style="width:64px; height:225px;"><spacer type="block" width="64" height="225"/></div></td>
					<td width="331" valign="top" style="background-image: url('images/bbl.gif'); background-position: bottom left; background-repeat: no-repeat;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0" width="331">
							<tr><td height="5"></td></tr>	
							<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
							<tr><td height="15"></td></tr>
							<tr>
								<td width="331" class="pageContent">
									<xsl:apply-templates select="PAGE-CONTENT"/>
								</td>
							</tr>
							<tr><td height="20"></td></tr>
						</table>						
						<!-- /CONTENT -->
					</td>
					<td width="20"><div style="width:20px; height:1px;"><spacer type="block" width="20" height="1"/></div></td>
					<td width="170" valign="top">
						<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="170">
							<tr><td colspan="2" height="10"></td></tr>
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>	
						<!-- /SUBMENU -->
					</td>
				</tr>
			</table>
		</TD>
		<TD style="background-image: url('images/bg_r.gif'); background-repeat: repeat-y;"></TD>
	</TR>
	<TR>
		<TD colspan="3" height="35">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="35">
				<tr>
					<td width="100%">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="35" style="background-image: url('images/footer_bg.gif'); background-position: right; background-repeat: repeat-x;">
							<tr>
								<td style="background-image: url('images/footer_l.gif'); background-position: left; background-repeat: no-repeat;" align="center" class="footer">
									<!-- FOOTER -->
									<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
									<!-- /FOOTER -->
								</td>
							</tr>
						</table>
					</td>
					<td style="background-image: url('images/footer_r.gif'); background-repeat: no-repeat;"><div style="width:14px; height:1px;"><spacer type="block" width="14" height="1"/></div></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR><TD colspan="3" height="100"></TD></TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
	
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#C7E0E2"><div style="width:10px; height:1px; background-color: white;"><spacer type="block" width="10" height="1"/></div></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
